#! /bin/bash

# dev_server.sh PORT
#   Start a PHP web server on port "PORT" to start serving the index.php endpoint
#   If you'd like to run tests for the endpoint, you can use test.sh instead (will automatically start the server)

ORIGDIR="$(pwd)"

if [ -z "$FORGEHOOKPORT" ]; then
    [ -z "$1" ] && exit 1
    FORGEHOOKPORT="$1"
fi

# TODO: is this still actually used?
[ -z "$FORGEHOOK" ] && FORGEHOOK="forgehook"

# Move to parent folder from bin/
cd "$(dirname "$0")"/..
php -S localhost:$FORGEHOOKPORT 
if [[ $? != 0 ]]; then
    exit 2
fi

cd "$ORIGDIR"
